/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "RapidJSON", "index.html", [
    [ "Change Log", "md__c_h_a_n_g_e_l_o_g.html", [
      [ "A fast JSON parser/generator for C++ with both SAX/DOM style API", "index.html#autotoc_md0", null ],
      [ "Build status", "index.html#autotoc_md1", null ],
      [ "Introduction", "index.html#autotoc_md2", null ],
      [ "Highlights in v1.1 (2016-8-25)", "index.html#autotoc_md3", null ],
      [ "Compatibility", "index.html#autotoc_md4", null ],
      [ "Installation", "index.html#autotoc_md5", null ],
      [ "Usage at a glance", "index.html#autotoc_md6", null ],
      [ "<a href=\"https://github.com/miloyip/rapidjson/compare/v1.1.0...HEAD\">Unreleased</a>", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md8", null ],
      [ "1.1.0 - 2016-08-25", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md9", [
        [ "Added", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md10", null ],
        [ "Fixed", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md11", null ],
        [ "Changed", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md12", null ]
      ] ],
      [ "<a href=\"https://github.com/miloyip/rapidjson/compare/v1.0.1...v1.0.2\">1.0.2</a> - 2015-05-14", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md13", [
        [ "Added", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md14", null ],
        [ "Fixed", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md15", null ],
        [ "Changed", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md16", null ]
      ] ],
      [ "<a href=\"https://github.com/miloyip/rapidjson/compare/v1.0.0...v1.0.1\">1.0.1</a> - 2015-04-25", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md17", [
        [ "Added", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md18", null ],
        [ "Fixed", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md19", null ]
      ] ],
      [ "<a href=\"https://github.com/miloyip/rapidjson/compare/v1.0-beta...v1.0.0\">1.0.0</a> - 2015-04-22", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md20", [
        [ "Added", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md21", null ],
        [ "Fixed", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md22", null ],
        [ "Removed", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md23", null ]
      ] ],
      [ "1.0-beta - 2015-04-8", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md24", [
        [ "Added", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md25", null ],
        [ "Changed", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md26", null ],
        [ "Removed", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md27", null ]
      ] ],
      [ "0.11 - 2012-11-16", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md28", null ],
      [ "0.1 - 2011-11-18", "md__c_h_a_n_g_e_l_o_g.html#autotoc_md29", null ]
    ] ],
    [ "Features", "md_doc_features.html", [
      [ "General", "md_doc_features.html#autotoc_md31", null ],
      [ "Standard compliance", "md_doc_features.html#autotoc_md32", null ],
      [ "Unicode", "md_doc_features.html#autotoc_md33", null ],
      [ "API styles", "md_doc_features.html#autotoc_md34", null ],
      [ "Parsing", "md_doc_features.html#autotoc_md35", null ],
      [ "DOM (Document)", "md_doc_features.html#autotoc_md36", null ],
      [ "Generation", "md_doc_features.html#autotoc_md37", null ],
      [ "Stream", "md_doc_features.html#autotoc_md38", null ],
      [ "Memory", "md_doc_features.html#autotoc_md39", null ],
      [ "Miscellaneous", "md_doc_features.html#autotoc_md40", null ]
    ] ],
    [ "Tutorial", "md_doc_tutorial.html", [
      [ "Value & Document", "md_doc_tutorial.html#ValueDocument", null ],
      [ "Query Value", "md_doc_tutorial.html#QueryValue", [
        [ "Query Array", "md_doc_tutorial.html#QueryArray", [
          [ "Range-based For Loop (New in v1.1.0)", "md_doc_tutorial.html#autotoc_md42", null ]
        ] ],
        [ "Query Object", "md_doc_tutorial.html#QueryObject", [
          [ "Range-based For Loop (New in v1.1.0)", "md_doc_tutorial.html#autotoc_md43", null ]
        ] ],
        [ "Querying Number", "md_doc_tutorial.html#QueryNumber", null ],
        [ "Query String", "md_doc_tutorial.html#QueryString", null ],
        [ "Comparing values", "md_doc_tutorial.html#autotoc_md44", null ]
      ] ],
      [ "Create/Modify Values", "md_doc_tutorial.html#CreateModifyValues", [
        [ "Change Value Type", "md_doc_tutorial.html#ChangeValueType", [
          [ "Overloaded Constructors", "md_doc_tutorial.html#autotoc_md45", null ]
        ] ],
        [ "Move Semantics", "md_doc_tutorial.html#MoveSemantics", [
          [ "Move semantics and temporary values", "md_doc_tutorial.html#TemporaryValues", null ]
        ] ],
        [ "Create String", "md_doc_tutorial.html#CreateString", null ],
        [ "Modify Array", "md_doc_tutorial.html#ModifyArray", null ],
        [ "Modify Object", "md_doc_tutorial.html#ModifyObject", null ],
        [ "Deep Copy Value", "md_doc_tutorial.html#DeepCopyValue", null ],
        [ "Swap Values", "md_doc_tutorial.html#SwapValues", null ]
      ] ],
      [ "What's next", "md_doc_tutorial.html#WhatsNext", null ]
    ] ],
    [ "Pointer", "md_doc_pointer.html", [
      [ "JSON Pointer", "md_doc_pointer.html#JsonPointer", null ],
      [ "Basic Usage", "md_doc_pointer.html#BasicUsage", null ],
      [ "Helper Functions", "md_doc_pointer.html#HelperFunctions", null ],
      [ "Resolving Pointer", "md_doc_pointer.html#ResolvingPointer", [
        [ "Resolving Minus Sign Token", "md_doc_pointer.html#autotoc_md47", null ],
        [ "Resolving Document and Value", "md_doc_pointer.html#autotoc_md48", null ]
      ] ],
      [ "Error Handling", "md_doc_pointer.html#ErrorHandling", null ],
      [ "URI Fragment Representation", "md_doc_pointer.html#URIFragment", null ],
      [ "Stringify", "md_doc_pointer.html#autotoc_md49", null ],
      [ "User-Supplied Tokens", "md_doc_pointer.html#UserSuppliedTokens", null ]
    ] ],
    [ "Stream", "md_doc_stream.html", [
      [ "Memory Streams", "md_doc_stream.html#MemoryStreams", [
        [ "StringStream (Input)", "md_doc_stream.html#StringStream", null ],
        [ "StringBuffer (Output)", "md_doc_stream.html#StringBuffer", null ]
      ] ],
      [ "File Streams", "md_doc_stream.html#FileStreams", [
        [ "FileReadStream (Input)", "md_doc_stream.html#FileReadStream", null ],
        [ "FileWriteStream (Output)", "md_doc_stream.html#FileWriteStream", null ]
      ] ],
      [ "iostream Wrapper", "md_doc_stream.html#iostreamWrapper", [
        [ "IStreamWrapper", "md_doc_stream.html#IStreamWrapper", null ],
        [ "OStreamWrapper", "md_doc_stream.html#OStreamWrapper", null ]
      ] ],
      [ "Encoded Streams", "md_doc_stream.html#EncodedStreams", [
        [ "EncodedInputStream", "md_doc_stream.html#EncodedInputStream", null ],
        [ "EncodedOutputStream", "md_doc_stream.html#EncodedOutputStream", null ],
        [ "AutoUTFInputStream", "md_doc_stream.html#AutoUTFInputStream", null ],
        [ "AutoUTFOutputStream", "md_doc_stream.html#AutoUTFOutputStream", null ]
      ] ],
      [ "Custom Stream", "md_doc_stream.html#CustomStream", [
        [ "Example: istream wrapper", "md_doc_stream.html#ExampleIStreamWrapper", null ],
        [ "Example: ostream wrapper", "md_doc_stream.html#ExampleOStreamWrapper", null ]
      ] ],
      [ "Summary", "md_doc_stream.html#Summary", null ]
    ] ],
    [ "Encoding", "md_doc_encoding.html", [
      [ "Unicode", "md_doc_encoding.html#Unicode", [
        [ "Unicode Transformation Format", "md_doc_encoding.html#UTF", null ],
        [ "Character Type", "md_doc_encoding.html#CharacterType", null ],
        [ "AutoUTF", "md_doc_encoding.html#AutoUTF", null ],
        [ "ASCII", "md_doc_encoding.html#ASCII", null ]
      ] ],
      [ "Validation & Transcoding", "md_doc_encoding.html#ValidationTranscoding", [
        [ "Transcoder", "md_doc_encoding.html#Transcoder", null ]
      ] ]
    ] ],
    [ "DOM", "md_doc_dom.html", [
      [ "Template", "md_doc_dom.html#Template", [
        [ "Encoding", "md_doc_dom.html#Encoding", null ],
        [ "Allocator", "md_doc_dom.html#Allocator", null ]
      ] ],
      [ "Parsing", "md_doc_dom.html#Parsing", [
        [ "Parse Error", "md_doc_dom.html#ParseError", null ],
        [ "In Situ Parsing", "md_doc_dom.html#InSituParsing", null ],
        [ "Transcoding and Validation", "md_doc_dom.html#TranscodingAndValidation", null ]
      ] ],
      [ "Techniques", "md_doc_dom.html#Techniques", [
        [ "DOM as SAX Event Publisher", "md_doc_dom.html#autotoc_md53", null ],
        [ "User Buffer", "md_doc_dom.html#UserBuffer", null ]
      ] ]
    ] ],
    [ "SAX", "md_doc_sax.html", [
      [ "Reader", "md_doc_sax.html#Reader", [
        [ "Handler", "md_doc_sax.html#Handler", null ],
        [ "GenericReader", "md_doc_sax.html#GenericReader", null ],
        [ "Parsing", "md_doc_sax.html#SaxParsing", null ]
      ] ],
      [ "Writer", "md_doc_sax.html#Writer", [
        [ "Template", "md_doc_sax.html#WriterTemplate", null ],
        [ "PrettyWriter", "md_doc_sax.html#PrettyWriter", null ],
        [ "Completeness and Reset", "md_doc_sax.html#CompletenessReset", null ]
      ] ],
      [ "Techniques", "md_doc_sax.html#SaxTechniques", [
        [ "Parsing JSON to Custom Data Structure", "md_doc_sax.html#CustomDataStructure", null ],
        [ "Filtering of JSON", "md_doc_sax.html#Filtering", null ]
      ] ]
    ] ],
    [ "Schema", "md_doc_schema.html", [
      [ "Basic Usage", "md_doc_schema.html#autotoc_md56", null ],
      [ "Validation during parsing/serialization", "md_doc_schema.html#autotoc_md57", [
        [ "DOM parsing", "md_doc_schema.html#autotoc_md58", null ],
        [ "SAX parsing", "md_doc_schema.html#autotoc_md59", null ],
        [ "Serialization", "md_doc_schema.html#autotoc_md60", null ]
      ] ],
      [ "Remote Schema", "md_doc_schema.html#autotoc_md61", null ],
      [ "Conformance", "md_doc_schema.html#autotoc_md62", [
        [ "Regular Expression", "md_doc_schema.html#autotoc_md63", null ]
      ] ],
      [ "Performance", "md_doc_schema.html#autotoc_md64", null ]
    ] ],
    [ "Performance", "md_doc_performance.html", [
      [ "Third-party benchmarks", "md_doc_performance.html#autotoc_md66", null ]
    ] ],
    [ "Internals", "md_doc_internals.html", [
      [ "Architecture", "md_doc_internals.html#Architecture", [
        [ "SAX and DOM", "md_doc_internals.html#autotoc_md68", null ],
        [ "Utility Classes", "md_doc_internals.html#autotoc_md69", null ]
      ] ],
      [ "Value", "md_doc_internals.html#Value", [
        [ "Data Layout", "md_doc_internals.html#DataLayout", null ],
        [ "Flags", "md_doc_internals.html#Flags", null ],
        [ "Short-String Optimization", "md_doc_internals.html#ShortString", null ]
      ] ],
      [ "Allocator", "md_doc_internals.html#InternalAllocator", [
        [ "MemoryPoolAllocator", "md_doc_internals.html#MemoryPoolAllocator", null ]
      ] ],
      [ "Parsing Optimization", "md_doc_internals.html#ParsingOptimization", [
        [ "Skip Whitespaces with SIMD", "md_doc_internals.html#SkipwhitespaceWithSIMD", [
          [ "Page boundary issue", "md_doc_internals.html#autotoc_md70", null ]
        ] ],
        [ "Local Stream Copy", "md_doc_internals.html#LocalStreamCopy", null ],
        [ "Parsing to Double", "md_doc_internals.html#ParsingDouble", null ]
      ] ],
      [ "Generation Optimization", "md_doc_internals.html#GenerationOptimization", [
        [ "Integer-to-String conversion", "md_doc_internals.html#itoa", null ],
        [ "Double-to-String conversion", "md_doc_internals.html#dtoa", null ]
      ] ],
      [ "Parser", "md_doc_internals.html#Parser", [
        [ "Iterative Parser", "md_doc_internals.html#IterativeParser", [
          [ "Grammar", "md_doc_internals.html#IterativeParserGrammar", null ],
          [ "Parsing Table", "md_doc_internals.html#IterativeParserParsingTable", null ],
          [ "Implementation", "md_doc_internals.html#IterativeParserImplementation", null ]
        ] ]
      ] ]
    ] ],
    [ "FAQ", "md_doc_faq.html", [
      [ "General", "md_doc_faq.html#autotoc_md72", null ],
      [ "JSON", "md_doc_faq.html#autotoc_md73", null ],
      [ "DOM and SAX", "md_doc_faq.html#autotoc_md74", null ],
      [ "Document/Value (DOM)", "md_doc_faq.html#autotoc_md75", null ],
      [ "Reader/Writer (SAX)", "md_doc_faq.html#autotoc_md76", null ],
      [ "Unicode", "md_doc_faq.html#autotoc_md77", null ],
      [ "Stream", "md_doc_faq.html#autotoc_md78", null ],
      [ "Performance", "md_doc_faq.html#autotoc_md79", null ],
      [ "Gossip", "md_doc_faq.html#autotoc_md80", null ]
    ] ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespace Members", "namespacemembers.html", [
      [ "All", "namespacemembers.html", null ],
      [ "Functions", "namespacemembers_func.html", null ],
      [ "Variables", "namespacemembers_vars.html", null ],
      [ "Typedefs", "namespacemembers_type.html", null ],
      [ "Enumerations", "namespacemembers_enum.html", null ],
      [ "Enumerator", "namespacemembers_eval.html", null ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"allocators_8h_source.html",
"classrapidjson_1_1_generic_object.html#ae811070cbc37cc67bb80a8bdb7d6db14",
"classrapidjson_1_1_writer.html#a22fd25fb5cb2db6c25762961e51e9c46",
"md_doc_internals.html#Architecture",
"structrapidjson_1_1_generic_value_1_1_number_1_1_i.html#ae0b11ea3695bf3abb23d5cef1f1517d2"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';